summaryrefslogtreecommitdiff
path: root/development/visual-studio-code/visual-studio-code.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'development/visual-studio-code/visual-studio-code.SlackBuild')
-rw-r--r--development/visual-studio-code/visual-studio-code.SlackBuild93
1 files changed, 93 insertions, 0 deletions
diff --git a/development/visual-studio-code/visual-studio-code.SlackBuild b/development/visual-studio-code/visual-studio-code.SlackBuild
new file mode 100644
index 0000000000..939165b2f1
--- /dev/null
+++ b/development/visual-studio-code/visual-studio-code.SlackBuild
@@ -0,0 +1,93 @@
+#!/bin/sh
+
+# Slackware build script for <appname>
+
+# Copyright 2015 Andre Barboza, Belo Horizonte
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=visual-studio-code
+VERSION=${VERSION:-0.9.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo} # For consistency's sake, use this
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp} # Drop the package in /tmp
+
+if [ "$ARCH" = "x86_64" ]; then
+ PKGSUFFIX=64
+else
+ PKGSUFFIX=32
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf VSCode-linux-x${PKGSUFFIX}
+unzip $CWD/VSCode-linux$PKGSUFFIX.zip
+cd VSCode-linux-x${PKGSUFFIX}
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Copy binary files
+mkdir -p "${PKG}/opt/${PRGNAM}-${VERSION}"
+cp -rvf * "${PKG}/opt/${PRGNAM}-${VERSION}" -R
+
+# Link executable to usr/bin
+mkdir -p "${PKG}/usr/bin"
+ln -s "/opt/${PRGNAM}-${VERSION}/Code" "${PKG}"/usr/bin/visual-studio-code
+
+# copy desktop shortcut
+mkdir -p "${PKG}/usr/share/applications"
+install -m644 "${CWD}/${PRGNAM}.desktop" "${PKG}/usr/share/applications/${PRGNAM}.desktop"
+
+# copy vscode icon
+mkdir -p "${PKG}/usr/share/icons"
+install -m644 "${PKG}/opt/${PRGNAM}-${VERSION}/resources/app/vso.png" \
+ "${PKG}/usr/share/icons/${PRGNAM}.png"
+
+# copy license and slackbuild
+mkdir -p "$PKG/usr/doc/$PRGNAM-$VERSION"
+install -m644 "${PKG}/opt/${PRGNAM}-${VERSION}/resources/app/license.txt" \
+ "$PKG/usr/doc/$PRGNAM-$VERSION"
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+